executionCreditTransactions
Returns transactions for a given execution credit
executionCreditTransactions(
executionCreditId: ID!
creditType: ExecutionCreditTypeEnum
pagination: BasePaginationInput! = [object Object]
): ExecutionCreditTransactionCollection!
Arguments
executionCreditTransactions.executionCreditId ● ID! non-null scalar
executionCreditTransactions.creditType ● ExecutionCreditTypeEnum enum
executionCreditTransactions.pagination ● BasePaginationInput! non-null input
Type
ExecutionCreditTransactionCollection object
ExecutionCreditTransactionCollection type
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the executionCredits query first and use data.executionCredits.collection[].id as executionCreditId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetExecutionCreditTransactions($executionCreditId: ID!) {\n executionCreditTransactions(executionCreditId: $executionCreditId) { collection { id createdAt credits } metadata { currentPage limitValue totalCount } }\n}","variables":{"executionCreditId":"<execution_credit_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetExecutionCreditTransactions($executionCreditId: ID!) {\n executionCreditTransactions(executionCreditId: $executionCreditId) { collection { id createdAt credits } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"executionCreditId": "<execution_credit_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetExecutionCreditTransactions($executionCreditId: ID!) {\n executionCreditTransactions(executionCreditId: $executionCreditId) { collection { id createdAt credits } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"executionCreditId\":\"<execution_credit_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute